Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HasHorizontalAlignment.AutoHorizontalAlignmentConstant

    java.lang.Object
      com.google.gwt.user.client.ui.HasHorizontalAlignment.AutoHorizontalAlignmentConstant

Direct Known Subclasses:
  HasHorizontalAlignment.HorizontalAlignmentConstant

Enclosing interface:
  HasHorizontalAlignment

    public static class HasHorizontalAlignment.AutoHorizontalAlignmentConstant

extends java.lang.Object

Type for values defined and used in `HasAutoHorizontalAlignment`. Defined here so that HorizontalAlignmentConstant can be derived from it, thus allowing HasAutoHorizontalAlignment methods to accept and return both AutoHorizontalAlignmentConstant and HorizontalAlignmentConstant values - without allowing the methods defined here to accept or return AutoHorizontalAlignmentConstant values.

Constructor Summary
`HasHorizontalAlignment.AutoHorizontalAlignmentConstant()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasHorizontalAlignment.AutoHorizontalAlignmentConstant

    HasHorizontalAlignment.AutoHorizontalAlignmentConstant()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD